NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder Class Reference

Used to create or edit a NXOpen::Features::ShipDesign::InverseBendingLines feature. More...

Inheritance diagram for NXOpen::Features::ShipDesign::InverseBendingLinesBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  MeasureType { MeasureTypeLeftToRight, MeasureTypeRightToLeft }
 The direction to measure from. More...
 
enum  MethodType { MethodTypeAutomatic, MethodTypeNumberOfCurves, MethodTypeFillingCoefficient, MethodTypeEvenFit }
 The method used to generate the bending curves. More...
 
enum  NeutralMethodType { NeutralMethodTypeBaseLine, NeutralMethodTypeCenterLine, NeutralMethodTypeNeutralAxis }
 The method used to calculate the neutral line. More...
 
enum  ReferencePlaneType {
  ReferencePlaneTypeXCYCPlane, ReferencePlaneTypeYCZCPlane, ReferencePlaneTypeZCXCPlane, ReferencePlaneTypeNegativeXCYCPlane,
  ReferencePlaneTypeNegativeYCZCPlane, ReferencePlaneTypeNegativeZCXCPlane, ReferencePlaneTypeDefineCSYS
}
 The reference plane to draw the diagram on. More...
 

Public Member Functions

bool DrawVentHoles ()
 Returns the switch that determines if vent holes are drawn in the diagram. More...
 
NXOpen::ExpressionExtension ()
 Returns the extension added on each end of the profile. More...
 
double FillingCoefficient ()
 Returns the filling coefficient that represents the amplitude of the bending line relative to the profile height. More...
 
std::vector< NXOpen::Body * > GetFailedProfiles (std::vector< int > &failedReasons)
 The profiles that failed and error code for each failed profile. More...
 
NXOpen::ExpressionGridSpacing ()
 Returns the grid spacing in the diagram. More...
 
NXOpen::ExpressionLowerMargin ()
 Returns the lower margin on the profile. More...
 
int MaxNumberOfCurves ()
 Returns the maximum number of curves to generate on the profile. More...
 
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MeasureType Measure ()
 Returns the measurement direction used in the table, left to right, or right to left. More...
 
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodType Method ()
 Returns the method used to calculate the number and spacing of the curves on the profile. More...
 
double NeutralAxisPercent ()
 Returns the height of a line through the profile that maintains a constant length when the profile is bent. More...
 
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralMethodType NeutralMethod ()
 Returns the neutral method determines the curve that is used for measurements and calculations when un-bending the profile. More...
 
double NonlinearityCoefficient ()
 Returns the nonlinearity coefficient used to determine the bending curve spacing. More...
 
int NumberOfCurves ()
 Returns the number of curves to generate on the profile. More...
 
int NumberOfRows ()
 Returns the number of rows in the table. More...
 
double OffsetBetweenDiagrams ()
 Returns the distance between the bottom of one table and the top of the next diagram. More...
 
NXOpen::ExpressionOverlap ()
 Returns the overlap distance of the bending curves. More...
 
NXOpen::SelectBodyListProfileBodies ()
 Returns the profile bodies to create Inverse Bending Lines on. More...
 
NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneType ReferencePlane ()
 Returns the reference plane type determines how you will define the plane of the diagram and table
Created in NX8.0.0. More...
 
NXOpen::PointReferencePlanePoint ()
 Returns the reference plane origin when one of the standard planes is chosen. More...
 
void SetDrawVentHoles (bool drawVentHoles)
 Sets the switch that determines if vent holes are drawn in the diagram. More...
 
void SetFillingCoefficient (double fillingCoefficient)
 Sets the filling coefficient that represents the amplitude of the bending line relative to the profile height. More...
 
void SetMaxNumberOfCurves (int maxNumberOfCurves)
 Sets the maximum number of curves to generate on the profile. More...
 
void SetMeasure (NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MeasureType measure)
 Sets the measurement direction used in the table, left to right, or right to left. More...
 
void SetMethod (NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodType method)
 Sets the method used to calculate the number and spacing of the curves on the profile. More...
 
void SetNeutralAxisPercent (double neutralAxisPercent)
 Sets the height of a line through the profile that maintains a constant length when the profile is bent. More...
 
void SetNeutralMethod (NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralMethodType neutralMethod)
 Sets the neutral method determines the curve that is used for measurements and calculations when un-bending the profile. More...
 
void SetNonlinearityCoefficient (double nonlinearityCoefficient)
 Sets the nonlinearity coefficient used to determine the bending curve spacing. More...
 
void SetNumberOfCurves (int numberOfCurves)
 Sets the number of curves to generate on the profile. More...
 
void SetNumberOfRows (int numberOfRows)
 Sets the number of rows in the table. More...
 
void SetOffsetBetweenDiagrams (double offsetBetweenDiagrams)
 Sets the distance between the bottom of one table and the top of the next diagram. More...
 
void SetReferencePlane (NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneType referencePlane)
 Sets the reference plane type determines how you will define the plane of the diagram and table
Created in NX8.0.0. More...
 
void SetReferencePlanePoint (NXOpen::Point *referencePlanePoint)
 Sets the reference plane origin when one of the standard planes is chosen. More...
 
void SetUserCsys (NXOpen::CoordinateSystem *userCsys)
 Sets the user defined CSYS used to locate and orient the tables and diagrams. More...
 
void SetVarOverlapMax (int varOverlapMax)
 Sets the variable aligned overlap maximum number of grids. More...
 
void SetVarOverlapMin (int varOverlapMin)
 Sets the variable aligned overlap minimum number of grids. More...
 
NXOpen::ExpressionSideMargin ()
 Returns the side margin on each end of the profile. More...
 
NXOpen::ExpressionUpperMargin ()
 Returns the upper margin on the profile. More...
 
NXOpen::CoordinateSystemUserCsys ()
 Returns the user defined CSYS used to locate and orient the tables and diagrams. More...
 
NXOpen::ExpressionVarMarginIncrement ()
 Returns the Increment used to vary horizontal margins for profiles. More...
 
NXOpen::ExpressionVarMarginMax ()
 Returns the maximum horizontal margin used for profiles. More...
 
NXOpen::ExpressionVarMarginMin ()
 Returns the minimum horizontal margin used for profiles. More...
 
int VarOverlapMax ()
 Returns the variable aligned overlap maximum number of grids. More...
 
int VarOverlapMin ()
 Returns the variable aligned overlap minimum number of grids. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Used to create or edit a NXOpen::Features::ShipDesign::InverseBendingLines feature.

This builder can create or edit multiple features, depending on the number of profile bodies input.
To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateInverseBendingLinesBuilder
Default values.

Property Value

DrawVentHoles

1

Extension.Value

0 (millimeters part), 0 (inches part)

FillingCoefficient

0.75

GridSpacing.Value

200 (millimeters part), 0 (inches part)

LowerMargin.Value

2.5 (millimeters part), 0 (inches part)

MaxNumberOfCurves

5

Measure

LeftToRight

Method

Automatic

NeutralAxisPercent

60

NeutralMethod

BaseLine

NonlinearityCoefficient

0.3

NumberOfCurves

2

NumberOfRows

10

OffsetBetweenDiagrams

500

Overlap.Value

200 (millimeters part), 0 (inches part)

ReferencePlane

XCYCPlane

SideMargin.Value

0 (millimeters part), 0 (inches part)

UpperMargin.Value

5 (millimeters part), 4 (inches part)

VarMarginIncrement.Value

20 (millimeters part), 0.75 (inches part)

VarMarginMax.Value

75 (millimeters part), 3 (inches part)

VarMarginMin.Value

15 (millimeters part), 0.75 (inches part)

VarOverlapMax

2

VarOverlapMin

1


Created in NX8.0.0.

Member Enumeration Documentation

The direction to measure from.

Enumerator
MeasureTypeLeftToRight 

Left to right.

MeasureTypeRightToLeft 

Right to left.

The method used to generate the bending curves.

Enumerator
MethodTypeAutomatic 

Automatic.

MethodTypeNumberOfCurves 

Number of curves.

MethodTypeFillingCoefficient 

Filling Coefficient (unsupported).

MethodTypeEvenFit 

Even Fit.

The method used to calculate the neutral line.

Enumerator
NeutralMethodTypeBaseLine 

Base line.

NeutralMethodTypeCenterLine 

Center line.

NeutralMethodTypeNeutralAxis 

Neutral axis.

The reference plane to draw the diagram on.

Enumerator
ReferencePlaneTypeXCYCPlane 

XC-YC plane.

ReferencePlaneTypeYCZCPlane 

YC-ZC plane.

ReferencePlaneTypeZCXCPlane 

ZC-XC plane.

ReferencePlaneTypeNegativeXCYCPlane 

-XC-YC plane.

ReferencePlaneTypeNegativeYCZCPlane 

-YC-ZC plane.

ReferencePlaneTypeNegativeZCXCPlane 

-ZC-XC plane.

ReferencePlaneTypeDefineCSYS 

User defined plane.

Member Function Documentation

bool NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::DrawVentHoles ( )

Returns the switch that determines if vent holes are drawn in the diagram.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::Extension ( )

Returns the extension added on each end of the profile.


Created in NX8.0.0.

License requirements : None

double NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::FillingCoefficient ( )

Returns the filling coefficient that represents the amplitude of the bending line relative to the profile height.

Only when method is NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeFillingCoefficient .


Created in NX8.0.0.

License requirements : None

std::vector<NXOpen::Body *> NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::GetFailedProfiles ( std::vector< int > &  failedReasons)

The profiles that failed and error code for each failed profile.

Returns
The profiles that failed.
Created in NX8.0.0.

License requirements : None
Parameters
failedReasonsThe error code for each failure.
NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::GridSpacing ( )

Returns the grid spacing in the diagram.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::LowerMargin ( )

Returns the lower margin on the profile.


Created in NX8.0.0.

License requirements : None

int NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MaxNumberOfCurves ( )

Returns the maximum number of curves to generate on the profile.

Only when method is NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves or NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeEvenFit .


Created in NX8.5.0.

License requirements : None

NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MeasureType NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::Measure ( )

Returns the measurement direction used in the table, left to right, or right to left.


Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodType NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::Method ( )

Returns the method used to calculate the number and spacing of the curves on the profile.


Created in NX8.0.0.

License requirements : None

double NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralAxisPercent ( )

Returns the height of a line through the profile that maintains a constant length when the profile is bent.

Measured as a percentage of the profile height relative to the base line.


Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralMethodType NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralMethod ( )

Returns the neutral method determines the curve that is used for measurements and calculations when un-bending the profile.


Created in NX8.0.0.

License requirements : None

double NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NonlinearityCoefficient ( )

Returns the nonlinearity coefficient used to determine the bending curve spacing.

Only when method is NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves .


Created in NX8.0.0.

License requirements : None

int NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NumberOfCurves ( )

Returns the number of curves to generate on the profile.

Only when method is NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves .


Created in NX8.0.0.

License requirements : None

int NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NumberOfRows ( )

Returns the number of rows in the table.


Created in NX8.0.0.

License requirements : None

double NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::OffsetBetweenDiagrams ( )

Returns the distance between the bottom of one table and the top of the next diagram.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::Overlap ( )

Returns the overlap distance of the bending curves.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectBodyList* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ProfileBodies ( )

Returns the profile bodies to create Inverse Bending Lines on.


The list can be populated in any one of the following ways:

  • If the list of profile bodies is empty, the function will search the current workset for any bent profiles. For each profile that does not have an Inverse Bending Lines feature, a new one is created. A profile that already has an Inverse Bending Lines feature associated to it, is edited with the new parameters.
  • If the list contains one or more profiles and no feature is given, an Inverse Bending Lines features will be created or edited for each profile in the list.
  • If a feature is supplied to be edited, the list must contain a single bent profile that resides in the same design element as the feature.



Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneType NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlane ( )

Returns the reference plane type determines how you will define the plane of the diagram and table
Created in NX8.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlanePoint ( )
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetDrawVentHoles ( bool  drawVentHoles)

Sets the switch that determines if vent holes are drawn in the diagram.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
drawVentHolesdrawventholes
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetFillingCoefficient ( double  fillingCoefficient)

Sets the filling coefficient that represents the amplitude of the bending line relative to the profile height.

Only when method is NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeFillingCoefficient .


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
fillingCoefficientfillingcoefficient
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetMaxNumberOfCurves ( int  maxNumberOfCurves)

Sets the maximum number of curves to generate on the profile.

Only when method is NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves or NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeEvenFit .


Created in NX8.5.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
maxNumberOfCurvesmaxnumberofcurves
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetMeasure ( NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MeasureType  measure)

Sets the measurement direction used in the table, left to right, or right to left.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
measuremeasure
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetMethod ( NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodType  method)

Sets the method used to calculate the number and spacing of the curves on the profile.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
methodmethod
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetNeutralAxisPercent ( double  neutralAxisPercent)

Sets the height of a line through the profile that maintains a constant length when the profile is bent.

Measured as a percentage of the profile height relative to the base line.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
neutralAxisPercentneutralaxispercent
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetNeutralMethod ( NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::NeutralMethodType  neutralMethod)

Sets the neutral method determines the curve that is used for measurements and calculations when un-bending the profile.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
neutralMethodneutralmethod
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetNonlinearityCoefficient ( double  nonlinearityCoefficient)

Sets the nonlinearity coefficient used to determine the bending curve spacing.

Only when method is NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves .


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
nonlinearityCoefficientnonlinearitycoefficient
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetNumberOfCurves ( int  numberOfCurves)

Sets the number of curves to generate on the profile.

Only when method is NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::MethodTypeNumberOfCurves .


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
numberOfCurvesnumberofcurves
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetNumberOfRows ( int  numberOfRows)

Sets the number of rows in the table.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
numberOfRowsnumberofrows
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetOffsetBetweenDiagrams ( double  offsetBetweenDiagrams)

Sets the distance between the bottom of one table and the top of the next diagram.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
offsetBetweenDiagramsoffsetbetweendiagrams
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetReferencePlane ( NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneType  referencePlane)

Sets the reference plane type determines how you will define the plane of the diagram and table
Created in NX8.0.0.



License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
referencePlanereferenceplane
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetReferencePlanePoint ( NXOpen::Point referencePlanePoint)
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetUserCsys ( NXOpen::CoordinateSystem userCsys)

Sets the user defined CSYS used to locate and orient the tables and diagrams.

Only when reference plane type is NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeDefineCSYS .


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
userCsysusercsys
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetVarOverlapMax ( int  varOverlapMax)

Sets the variable aligned overlap maximum number of grids.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept")

Parameters
varOverlapMaxvaroverlapmax
void NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SetVarOverlapMin ( int  varOverlapMin)

Sets the variable aligned overlap minimum number of grids.


Created in NX8.5.0.

License requirements : nx_ship_concept ("Ship Concept")

Parameters
varOverlapMinvaroverlapmin
NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::SideMargin ( )

Returns the side margin on each end of the profile.


Created in NX8.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::UpperMargin ( )

Returns the upper margin on the profile.


Created in NX8.0.0.

License requirements : None

NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::UserCsys ( )

Returns the user defined CSYS used to locate and orient the tables and diagrams.

Only when reference plane type is NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::ReferencePlaneTypeDefineCSYS .


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::VarMarginIncrement ( )

Returns the Increment used to vary horizontal margins for profiles.


Created in NX8.5.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::VarMarginMax ( )

Returns the maximum horizontal margin used for profiles.


Created in NX8.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::VarMarginMin ( )

Returns the minimum horizontal margin used for profiles.


Created in NX8.5.0.

License requirements : None

int NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::VarOverlapMax ( )

Returns the variable aligned overlap maximum number of grids.


Created in NX8.5.0.

License requirements : None

int NXOpen::Features::ShipDesign::InverseBendingLinesBuilder::VarOverlapMin ( )

Returns the variable aligned overlap minimum number of grids.


Created in NX8.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.